@footer-height: 40px;
@container-md-max-width: 1100px;

[v-cloak] { display: none; }

html, body {
  height: 100%;
  margin: 0;
}

div .body-content > div {
	flex-grow: 1;
	display: flex;
	flex-direction: column;
}

[purpose='page-wrap'] {
  height: 100%;
  /* lesshint-disable */height: auto !important;/* lesshint-enable */
  // ^^The above is to disable "importantRule" and "duplicateProperty" rules.
  min-height: 100%;
  // position: relative;
  // padding-bottom: @footer-height;
}

[purpose='page-footer'] {
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  // height: @footer-height;
  width: 100%;
  // position: absolute;
  // left: 0px;
  // bottom: 0px;
}

body.detected-mobile {
  // Above and beyond the media queries below, this selector (which relies on
  // `parasails` automatically attaching this class, if appropriate) contains
  // styles intended to be activated specifically when loaded from a recognized
  // mobile device, regardless of viewport dimensions.  This includes tablet
  // devices (like the iPad) as well as handset devices (like the iPhone).
  // …
}

@media (max-width: 800px) {
  [purpose='page-footer'] {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    // height: @footer-height;
    width: 100%;
    display: inline-block;
    text-align: center;
  }

  [purpose='footer-nav'] {
    justify-content: center;
  }


  .mobileHide {
    display: none;
  }
}

@media (max-width: 575px) {

}
